=== debian/changelog ===
calamares-extensions (1.2.1-2) unstable; urgency=medium

  * d/gbp: add debian-branch

 -- Jarrah Gosbell <debian@undef.tools>  Thu, 03 Nov 2022 04:15:38 +0000

calamares-extensions (1.2.1-1) unstable; urgency=medium

  * Initial Release (Closes: #998858)

 -- Jarrah Gosbell <debian@undef.tools>  Wed, 27 Apr 2022 08:45:19 +0000
