=== debian/control ===
Source: calamares-extensions
Section: utils
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>,
Uploaders: Jarrah Gosbell <debian@undef.tools>,
           Arnaud Ferraris <aferraris@debian.org>,
Build-Depends: calamares,
               cmake,
               debhelper-compat (= 13),
               libcryptsetup-dev,
               libkf5coreaddons-dev,
               libkf5declarative-dev,
               libkf5kdelibs4support-dev,
               libsdl2-dev,
               libsdl2-ttf-dev,
               libqt5svg5-dev,
               libyaml-cpp-dev,
               qtdeclarative5-dev,
               qttools5-dev,
Standards-Version: 4.6.0.1
Homepage: https://github.com/calamares/calamares-extensions
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/calamares-extensions
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/calamares-extensions.git
Rules-Requires-Root: no

Package: calamares-extensions
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         calamares-extensions-data (= ${source:Version}),
         calamares,
         kirigami2-dev,
         libkf5coreaddons-dev,
         libkf5declarative-dev,
         libkf5kdelibs4support-dev,
         libqt5svg5-dev,
         libyaml-cpp-dev,
         qml-module-org-kde-kirigami2,
         qml-module-qtquick-virtualkeyboard,
         qml-module-qtqml,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         qml-module-qt-labs-folderlistmodel,
         qtdeclarative5-dev,
         qttools5-dev,
         qtvirtualkeyboard-plugin,
Recommends:
         f2fs-tools,
         btrfs-progs,
         e2fsprogs,
Description: Mobile module for Calamares installer framework
 Provides the mobile module for calamares, which allows installing
 on devices with small, touch-screens.
 .
 This package contains architecture-dependent binary files.

Package: calamares-extensions-data
Architecture: all
Depends: ${misc:Depends},
Description: Mobile module for Calamares installer framework - data files
 Provides the mobile module for calamares, which allows installing
 on devices with small, touch-screens.
 .
 This package contains architecture-independent data files.
