=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_CXX_COMPILER_ARG1="$(CPPFLAGS)"

# Tests rely on test_conf and loadmodule from calamares, which are not packaged.
override_dh_auto_test:
