=== debian/changelog ===
calamares-extensions (1.3.2-2) unstable; urgency=medium

  * d/patches: Fix build with newer Cmake and Calamares 3.3.0 (Closes:
    #1057546, #1058528)
  * d/patches: Add Forwarded header to branding patch

 -- Jarrah Gosbell <debian@undef.tools>  Mon, 18 Dec 2023 07:50:41 +0000

calamares-extensions (1.3.2-1) unstable; urgency=medium

  [ Jarrah Gosbell ]
  * d/gbp: Add upstream branch config
  * debian/upstream: Update upstream gpg key
  * d/watch: Allow checking upstream signature
  * d/patches: Remove upstreamed mobile confirm patch
  * d/control: Bump standards version
  * d/source: Override signing key warning
  * d/patches: Fix screen size issues
  * d/control: Depend on calamares 3.3.x

 -- Jarrah Gosbell <debian@undef.tools>  Thu, 28 Sep 2023 09:53:44 +0000

calamares-extensions (1.2.1-3) unstable; urgency=medium

  [ Arnaud Ferraris ]
  * d/copyright: fix typo

  [ Debian Janitor ]
  * Apply multi-arch hints. + calamares-extensions-data: Add Multi-Arch: foreign.

  [ Jarrah Gosbell ]
  * d/patches: reflow the confirm screen to fit Librem5

 -- Jarrah Gosbell <debian@undef.tools>  Mon, 12 Jun 2023 08:39:12 +0000
