=== debian/watch ===
version=4
opts="searchmode=plain,\
pgpsigurlmangle=s/$/.asc/,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%" \
https://api.github.com/repos/calamares/calamares-extensions/releases?per_page=100 \
https://github.com/calamares/calamares-extensions/releases/download/[^/]+[^/]+/calamares-extensions-@ANY_VERSION@.tar.gz
