## calamares-extensions 3.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,15 +32,18 @@
 # In this repository, there is just one "group" to which USE_* applies:
 #   USE_os          : operating-system-specific modules.
 #
+# There is a knob WITH_QT6 which can be used to build against Qt6 rather
+# than Qt5. This must match what Calamares itself is built with.
+#
 ### NOTES
 #
 # Call this CMake file in script mode, e.g. `cmake -P CMakeLists.txt`
 # to print out version information. Use `cmake -DVERSION_STYLE=short`
 # to get just the short versioning.
 #
-cmake_minimum_required(VERSION 3.3 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set( CALAMARES_EXTENSIONS_VERSION 1.3.2 )
+set( CALAMARES_EXTENSIONS_VERSION 3.3.1 )
 
 include( ${CMAKE_CURRENT_LIST_DIR}/CMakeModules/ExtendedVersion.cmake )
 if ( CMAKE_SCRIPT_MODE_FILE )
@@ -60,11 +63,43 @@
 # consumers by loading the developer's config from a build
 # directory (which doesn't have the rest of the config
 # installed inside it).
-set( CALAMARES_VERSION_REQUIRED 3.2.46 )
+set( CALAMARES_VERSION_REQUIRED 3.3.1 )
+message(STATUS "Looking for Calamares system-wide")
 find_package(Calamares ${CALAMARES_VERSION_REQUIRED} NO_CMAKE_PACKAGE_REGISTRY)
 if (NOT TARGET Calamares::calamares OR NOT TARGET Calamares::calamaresui)
+    message(STATUS "Looking for Calamares in the package registry")
     find_package(Calamares ${CALAMARES_VERSION_REQUIRED} REQUIRED)
 endif()
+
+message(STATUS "Found Calamares version ${Calamares_VERSION}")
+message(STATUS "              libraries ${Calamares_LIB_DIRS}")
+message(STATUS "")
+
+### EXTRACTING DEPENDENCIES AND CONFIGURATION FROM CALAMARES
+#
+#
+if(WITH_QT6)
+    set(kfname "KF6")
+    set(KF_VERSION 5.240) # KDE Neon weirdness
+else()
+    message(STATUS "Building Calamares with Qt5")
+    set(kfname "KF5")
+    set(KF_VERSION 5.78)
+    # API that was deprecated before Qt 5.15 causes a compile error
+    add_compile_definitions(QT_DISABLE_DEPRECATED_BEFORE=0x050f00)
+endif()
+
+include( FeatureSummary )
+find_package(${kfname}CoreAddons ${KF_VERSION} QUIET)
+set_package_properties(
+    ${kfname}CoreAddons
+    PROPERTIES
+    TYPE REQUIRED
+    DESCRIPTION "KDE Framework CoreAddons"
+    URL "https://api.kde.org/frameworks/"
+    PURPOSE "Essential Framework for AboutData and Macros"
+)
+
 
 ### CMAKE SETUP
 #
@@ -119,6 +154,8 @@
 calamares_add_module_subdirectory( modules/slowpython LIST_SKIPPED_MODULES )  # Python job
 calamares_add_module_subdirectory( modules/unpackfsc LIST_SKIPPED_MODULES )
 
+message(STATUS "Calamares extensions ${CALAMARES_EXTENSIONS_VERSION} for Calamares version ${Calamares_VERSION}")
+
 # If modules cannot be built, they usually call a macro
 # which builds a list of explanations; show that list.
 calamares_explain_skipped_modules( ${LIST_SKIPPED_MODULES} )
