=== debian/changelog ===
calamares-extensions (3.3.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:36:49 +1100

calamares-extensions (3.3.1-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:00:23 +0000

calamares-extensions (3.3.1-1) unstable; urgency=medium

  * New Upstream Release
  * d/patches: Remove upstreamed patches

 -- Jarrah Gosbell <debian@undef.tools>  Fri, 02 Feb 2024 07:33:34 +0000
