=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: calamares-extensions
 Section: utils
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>,
 Uploaders: Jarrah Gosbell <debian@undef.tools>,
            Arnaud Ferraris <aferraris@debian.org>,
-Build-Depends: calamares,
+Build-Depends: calamares (>= 3.3.0~alpha2),
                cmake,
                debhelper-compat (= 13),
                libcryptsetup-dev,
@@ -17,7 +18,7 @@
                libyaml-cpp-dev,
                qtdeclarative5-dev,
                qttools5-dev,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/calamares/calamares-extensions
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/calamares-extensions
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/calamares-extensions.git
@@ -28,7 +29,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          calamares-extensions-data (= ${source:Version}),
-         calamares,
+         calamares (>= 3.3.0~alpha2),
          kirigami2-dev,
          libkf5coreaddons-dev,
          libkf5declarative-dev,
@@ -58,6 +59,7 @@
 Package: calamares-extensions-data
 Architecture: all
 Depends: ${misc:Depends},
+Multi-Arch: foreign
 Description: Mobile module for Calamares installer framework - data files
  Provides the mobile module for calamares, which allows installing
  on devices with small, touch-screens.
