=== debian/changelog ===
calamares-extensions (3.3.12-1.2) unstable; urgency=medium

  * Non-maintainer upload
  * Drop unnecessary Depends: libkf5kdelibs4support-dev (Closes: #1106158)

 -- Bastian Germann <bage@debian.org>  Wed, 04 Jun 2025 10:13:59 +0200

calamares-extensions (3.3.12-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * d/control: Drop comma from Maintainer
  * Port to Qt6 (Closes: #1092373)

 -- Bastian Germann <bage@debian.org>  Mon, 03 Mar 2025 16:29:54 +0100

calamares-extensions (3.3.12-1) unstable; urgency=medium

  [ Jarrah Gosbell ]
  * New upstream release
  * d/watch: Remove broken signature checking
  * d/patches: Refresh for new upstream release
  * d/copyright: Update for flatpakinfo module

 -- Jarrah Gosbell <debian@undef.tools>  Sat, 07 Dec 2024 10:48:14 +0000
