=== debian/control ===
--- 
+++ 
@@ -1,23 +1,21 @@
 Source: calamares-extensions
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>,
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Jarrah Gosbell <debian@undef.tools>,
            Arnaud Ferraris <aferraris@debian.org>,
-Build-Depends: calamares (>= 3.3.0~alpha2),
+Build-Depends: calamares (>= 3.3.13),
                cmake,
                debhelper-compat (= 13),
                libcryptsetup-dev,
-               libkf5coreaddons-dev,
-               libkf5declarative-dev,
-               libkf5kdelibs4support-dev,
+               libkf6coreaddons-dev,
+               libkf6declarative-dev,
                libsdl2-dev,
                libsdl2-ttf-dev,
-               libqt5svg5-dev,
+               qt6-svg-dev,
                libyaml-cpp-dev,
-               qtdeclarative5-dev,
-               qttools5-dev,
+               qt6-declarative-dev,
+               qt6-tools-dev,
 Standards-Version: 4.6.2
 Homepage: https://github.com/calamares/calamares-extensions
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/calamares-extensions
@@ -33,7 +31,6 @@
          kirigami2-dev,
          libkf5coreaddons-dev,
          libkf5declarative-dev,
-         libkf5kdelibs4support-dev,
          libqt5svg5-dev,
          libyaml-cpp-dev,
          qml-module-org-kde-kirigami2,
